<maplink> does not work in Monobook skin
Closed, ResolvedPublic

Description

<maplink> fails to load if user's skin is set to "monobook". To test, either set your Appearance preferences to "Monobook", or use one of these links with the &useskin=monobook param.

https://ru.wikipedia.org/?oldid=80782242&useskin=monobook#/maplink/1

Same with debug enabled:
https://ru.wikipedia.org/?oldid=80782242&useskin=monobook&debug=1#/maplink/1

putnik created this task.Sep 13 2016, 3:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 13 2016, 3:20 PM
Yurik triaged this task as High priority.Sep 13 2016, 11:01 PM
Yurik added projects: Maps, Maps-Sprint.
Yurik updated the task description. (Show Details)
Yurik added subscribers: JGirault, MaxSem.
Restricted Application added a project: Discovery. · View Herald TranscriptSep 13 2016, 11:01 PM
Yurik added a subscriber: Yurik.EditedSep 13 2016, 11:32 PM

Debugging shows that all map tiles get downloaded, but the HTML to show them differs

<div class="leaflet-layer">

  <!-- this line differs - it has an extra class "leaflet-zoom-animated" -->
  <div class="leaflet-tile-container leaflet-zoom-animated"></div>
  <div class="leaflet-tile-container leaflet-zoom-animated">

    <!-- the "top" attribute gets totally miscalculated -->
    <img class="leaflet-tile leaflet-tile-loaded" src="https://maps.wikimedia.org/osm-intl/3/1/2@1.3x.png" style="height: 256px; width: 256px; left: 603px; top: 5394px;">
    ...

Change 310559 had a related patch set uploaded (by JGirault):
Map should take viewport width/height instead of body width/height

https://gerrit.wikimedia.org/r/310559

JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.Sep 14 2016, 3:12 PM

Change 310559 merged by jenkins-bot:
Map should take viewport width/height instead of body width/height

https://gerrit.wikimedia.org/r/310559

Yurik closed this task as Resolved.Sep 14 2016, 5:06 PM
Yurik claimed this task.

Change 310590 had a related patch set uploaded (by Yurik):
Map should take viewport width/height instead of body width/height

https://gerrit.wikimedia.org/r/310590

Change 310590 merged by jenkins-bot:
Map should take viewport width/height instead of body width/height

https://gerrit.wikimedia.org/r/310590

Change 310608 had a related patch set uploaded (by Yurik):
Map should take viewport width/height instead of body width/height

https://gerrit.wikimedia.org/r/310608

Change 310608 merged by jenkins-bot:
Map should take viewport width/height instead of body width/height

https://gerrit.wikimedia.org/r/310608

Mentioned in SAL (#wikimedia-operations) [2016-09-14T18:45:15Z] <thcipriani@tin> Synchronized php-1.28.0-wmf.19/extensions/Kartographer/modules/box/Map.js: SWAT: [[gerrit:310590|Map should take viewport width/height instead of body width/height (T145521)]] (duration: 00m 47s)

Mentioned in SAL (#wikimedia-operations) [2016-09-14T18:57:56Z] <thcipriani@tin> Synchronized php-1.28.0-wmf.18/extensions/Kartographer/modules/box/Map.js: SWAT: [[gerrit:310608|Map should take viewport width/height instead of body width/height (T145521)]] (duration: 00m 47s)

Yurik reopened this task as Open.Nov 7 2016, 12:43 AM

Users reported this issue is back. I tried it on ru-wiki, after switching my preferences to monobook, and viewing the governor's <maplink> item, and i get an infinite loading screen.

Change 320159 had a related patch set uploaded (by Yurik):
Fix monobook <maplink> (missing debounce dep)

https://gerrit.wikimedia.org/r/320159

Change 320159 merged by jenkins-bot:
Fix monobook <maplink> (missing debounce dep)

https://gerrit.wikimedia.org/r/320159

Change 320160 had a related patch set uploaded (by Yurik):
Fix monobook <maplink> (missing debounce dep)

https://gerrit.wikimedia.org/r/320160

Change 320160 merged by jenkins-bot:
Fix monobook <maplink> (missing debounce dep)

https://gerrit.wikimedia.org/r/320160

Mentioned in SAL (#wikimedia-operations) [2016-11-07T14:10:55Z] <hashar@tin> Synchronized php-1.29.0-wmf.1/extensions/Kartographer/extension.json: Fix monobook <maplink> (missing debounce dep) T145521 (duration: 00m 47s)

Yurik closed this task as Resolved.Nov 7 2016, 2:23 PM